import { TypedGlNode } from './_Base';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
import { ShadersCollectionController } from './code/utils/ShadersCollectionController';
declare class InstanceTransformGlParamsConfig extends NodeParamsConfig {
    position: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
    normal: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
    instancePosition: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
    instanceOrientation: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR4>;
    instanceScale: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
}
export declare class InstanceTransformGlNode extends TypedGlNode<InstanceTransformGlParamsConfig> {
    params_config: InstanceTransformGlParamsConfig;
    static type(): string;
    initializeNode(): void;
    set_lines(shaders_collection_controller: ShadersCollectionController): void;
    gl_output_name_position(): string;
    gl_output_name_normal(): string;
    private _default_position;
    private _default_normal;
    private _default_instancePosition;
    private _default_input_instanceOrientation;
    private _default_input_instanceScale;
}
export {};
